com.io7m.jstructural.annotated

## Class SATerm

- java.lang.Object
- - com.io7m.jstructural.annotated.SATerm

- All Implemented Interfaces:
    SAFootnoteContent, SAListItemContent, SAParagraphContent, SATableCellContent

      @Immutable
      public final class SATerm
      extends Object
      implements SAListItemContent, SAParagraphContent, SAFootnoteContent, SATableCellContent

  A simple term.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `footnoteContentAccept(SAFootnoteContentVisitor<A> v)` Accept a footnote content visitor.
    `SAText` | `getText()`
    `com.io7m.jaux.functional.Option<String>` | `getType()`
    `int` | `hashCode()`
    `<A> A` | `listItemContentAccept(SAListItemContentVisitor<A> v)` Accept a list item content visitor.
    `<A> A` | `paragraphContentAccept(SAParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `<A> A` | `tableCellContentAccept(SATableCellContentVisitor<A> v)` Accept a table cell content visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### footnoteContentAccept

          public <A> A footnoteContentAccept(@Nonnull
                                    SAFootnoteContentVisitor<A> v)
                                  throws com.io7m.jaux.Constraints.ConstraintError,
                                         Exception

      Description copied from interface: `SAFootnoteContent`
      Accept a footnote content visitor.
      Specified by:
        `footnoteContentAccept` in interface `SAFootnoteContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### getText

          @Nonnull
          public SAText getText()

      Returns:
        The term's text

    - #### getType

          @Nonnull
          public com.io7m.jaux.functional.Option<String> getType()

      Returns:
        The term's type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### listItemContentAccept

          public <A> A listItemContentAccept(@Nonnull
                                    SAListItemContentVisitor<A> v)
                                  throws com.io7m.jaux.Constraints.ConstraintError,
                                         Exception

      Description copied from interface: `SAListItemContent`
      Accept a list item content visitor.
      Specified by:
        `listItemContentAccept` in interface `SAListItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(@Nonnull
                                     SAParagraphContentVisitor<A> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from interface: `SAParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SAParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### tableCellContentAccept

          public <A> A tableCellContentAccept(@Nonnull
                                     SATableCellContentVisitor<A> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from interface: `SATableCellContent`
      Accept a table cell content visitor.
      Specified by:
        `tableCellContentAccept` in interface `SATableCellContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

Copyright © 2014 <code@io7m.com> http://io7m.com